.__overlay_home {


    height: 100%;
    width: 100%;
    position: fixed;
    inset: 0;

    display: none;
    align-items: center;
    justify-content: center;

    background-color: rgba(0, 0, 0, 0.5);
    /* menor opacidade ajuda o blur aparecer */

    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    /* suporte Safari */
}


.__overlay_home.flex {
    display: flex;
}


.__envolve_settings_actions {



    background: #f8f9fa;
    border-radius: 14px;
    padding: 24px;
    max-width: 420px;
    width: 100%;
    text-align: center;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    position: relative;
    animation: fadeIn 0.3s ease-in-out;
}


.__center_envolve_text_itens {

    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.__center_envolve_text_itens p {
    color: black;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
    line-height: 30px;
    font-size: 16px;
}

.__buttons_center_itens {
    width: 80%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}


.__styled_button_home {
    width: 120px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    color: white;
    font-family: sans-serif;
    font-size: 14px;
}


.__button_close_modal {
    background-color: rgba(170, 170, 170, 0.658);
}

.__button_action_modal {
    background-color: rgb(33, 108, 206);

}


@keyframes __animation_home_popup {
    0% {
        transform: scale(0.8);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}


.__hidden_status_state_navigation {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translate(-50%, -50%);
    width: 200px;
    height: 100px;
    display: none;
    align-items: center;
    justify-content: center;
}

.__hidden_status_state_navigation.animation {
    display: flex;
}



.__animation_incubator {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.status_navigation_text {
    pointer-events: none;

    user-select: none;
    font-family: sans-serif;
    font-weight: 600;
    animation: __animation_incubator_keyframe 2s ease-in-out;
}

.status_navigation_text.greentext {
    color: green;
}

.status_navigation_text.redtext{
    color: rgb(233, 43, 18);
}


@keyframes __animation_incubator_keyframe {
    0% {
        transform: translateY(40px);
        opacity: 0;
    }

    30% {
        opacity: 1;
        transform: translateY(0);
    }

    70% {
        opacity: 0.7;
        transform: translateY(0);
    }

    100% {
        transform: translateY(-40px);
        opacity: 0;
        /* aqui está o segredo */

    }
}

.checkbox__input {
    display: none;
}

.checkbox__box {
    width: 22px;
    height: 22px;
    background-color: #fff;
    border: 2px solid #888;
    border-radius: 6px;

    display: flex;
    align-items: center;
    justify-content: center;

    transition: all 0.2s ease;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

.checkbox__icon {
    width: 14px;
    height: 14px;

    stroke: #4caf50;
    stroke-width: 3;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;

    transform: scale(0);
    transition: transform 0.2s ease;
}

/* estado checked */
.checkbox__input:checked+.checkbox__box .checkbox__icon {
    transform: scale(1);
}